summaryrefslogtreecommitdiff
path: root/bin/get-package-updates
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-05-17 14:51:38 +0200
committerErich Eckner <git@eckner.net>2017-05-17 14:51:38 +0200
commitcd2540e6a7bcae913be1034d93c7dd2b9a9a704a (patch)
treec6ac39f2e67495ecaf325e381d98d77ec208d0b6 /bin/get-package-updates
parentb5e64080699536e7802e1b3dd105032386573f63 (diff)
downloadbuilder-cd2540e6a7bcae913be1034d93c7dd2b9a9a704a.tar.xz
use a single lock file for the build list
Diffstat (limited to 'bin/get-package-updates')
-rwxr-xr-xbin/get-package-updates9
1 files changed, 6 insertions, 3 deletions
diff --git a/bin/get-package-updates b/bin/get-package-updates
index 2e666ac..80e9527 100755
--- a/bin/get-package-updates
+++ b/bin/get-package-updates
@@ -13,8 +13,11 @@
# Create a lock file for build list.
-exec 9> "${lock_file}"
-flock -n 9 || exit
+exec 9> "${build_list_lock_file}"
+if ! flock -n 9; then
+ >&2 echo 'come back (shortly) later - I cannot lock build list.'
+ exit
+fi
# Update git repositories (official packages, community packages and the repository of package customizations).
@@ -244,4 +247,4 @@ fi
# Remove the lock file
-rm -f "${lock_file}"
+rm -f "${build_list_lock_file}"